/*
	File:		SamplePartDef.h

	Contains:	Common definitions used by SamplePart.cpp & .r files.

	Written by:	Steve Smith

	Copyright:	 1994-95 by Apple Computer, Inc., all rights reserved.
	
	-------------------------------------------------------------------
	
	Note:		This file will need to be modified for any derivitive
				work based on SamplePart. The areas marked with (CH)
				should be considered when making those changes.
*/


#ifndef _SAMPLEPARTDEF_
#define _SAMPLEPARTDEF_

// -- OpenDoc Includes --

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.xh>
#endif

//=====================================================================

// Class / Editor ID (CH)
#define kPartClassName					"som_SamplePart"
#define kSamplePartID					"SampleCode::"kPartClassName

// Editor User String (CH)
#define kSamplePartEditorUserString 	"SamplePart 1.1"

// Kind (CH)
#define kSamplePartKind					kODISOPrefix "Apple:Kind:SamplePart"

// Kind User String (CH)
#define kSamplePartKindUserString		"SamplePart"

// Category (CH)
#define kSamplePartCategory				kODISOPrefix "Apple:Category:SampleCode"

// Category User String (CH)
#define kSamplePartCategoryUserString 	"SampleCode"

// SamplePart OSTypes (CH)
#define kSamplePartEditorOSType			'SPED'
#define kSamplePartViewerOSType			'SPVW'
#define kSamplePartDocumentOSType		'SPDC'
#define kSamplePartStationeryOSType		'sPDC'

// ISO Strings (CH)
#define kMainPresentation  				kODISOPrefix "SamplePart:Presentation:Main"
#define kSamplePartInfo					kODISOPrefix "SamplePart:Display Frame Info"

// SamplePart defines
#define	kBaseResourceID					20001

// NMAP Resource IDs
#define kKindCategoryMapId				kBaseResourceID+1
#define kEditorKindMapId				kBaseResourceID+2
#define kEditorUserStringMapId			kBaseResourceID+3
#define kKindUserStringMapId			kBaseResourceID+4
#define kCategoryUserStringMapId		kBaseResourceID+5
#define kOldMacOSTypeMapId				kBaseResourceID+6

// Text Items
#define	kMenuStringResID				kBaseResourceID
#define	kAboutTextID        			1
#define	kDefaultContent1ID				2
#define	kDefaultContent2ID				3

// Error Messages
#define kErrorStringResID				kMenuStringResID+1
#define kErrStrFieldID					3
#define kErrCantInitializePart			1
#define kErrCantOpenDocWindow			2
#define kErrCantOpenPartWindow			3
#define kErrRemoveFrame					4
#define kErrWindowGone					5
#define kErrExternalizeFailed			6

// Bundles/FREFs
#define kDocumentBundle					kBaseResourceID
#define kEditorBundle					kBaseResourceID+1
#define kViewerBundle					kBaseResourceID+2
#define kDocumentFREF					kBaseResourceID
#define kStationeryFREF					kBaseResourceID+1
#define kEditorFREF						kBaseResourceID+2
#define kViewerFREF						kBaseResourceID+3

// Icons
#define	kLargeIcons						1
#define	kSmallIcons						2
#define	kDocumentIcons					kBaseResourceID
#define	kStationeryIcons				kBaseResourceID+1
#define	kEditorIcons					kBaseResourceID+2
#define	kViewerIcons					kBaseResourceID+3

// Pictures
#define kEditorIconPicture				kBaseResourceID
#define	kThumbnailPicture				kBaseResourceID+1

// Dialogs & Windows
#define	kAboutBoxID  					kBaseResourceID
#define	kErrorBoxID  					kBaseResourceID+1
#define	kMacWindowTitleBarHeight		20
#define	kALittleNudge					4
#define kMinVertVisPortion				10
#define kMinHorzVisPortion				16
#define kWindowOpening					1
#define kWindowClosing					0

// Display Frames
#define kFrameRemoved					1
#define kFrameClosed					0

// Geometry
#define kMinImagingResolution			72 // dpi

#endif

